Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::QueuedRenderableCollection::RadixSortFunctorDistance Struct Reference

Functor for descending sort value 2 for radix sort (distance). More...

`#include <OgreRenderQueueSortingGrouping.h>`

List of all members.

## Public Member Functions
| RadixSortFunctorDistance (const Camera *cam)
float | operator() (const RenderablePass &p) const
## Public Attributes
const Camera * | camera

## Detailed Description

Functor for descending sort value 2 for radix sort (distance).

Definition at line 209 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::RadixSortFunctorDistance | ( | const Camera * | cam | ) |

| Definition at line 213 of file OgreRenderQueueSortingGrouping.h.

## Member Function Documentation

float Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator() | ( | const RenderablePass & | p | ) | const

| Definition at line 218 of file OgreRenderQueueSortingGrouping.h.

## Member Data Documentation

const Camera* Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::camera

| Definition at line 211 of file OgreRenderQueueSortingGrouping.h.

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:31 2007